
TYPO3.Neos - Task # 42410

Story # 41101 (New): As user, I want a well-working content editing (Bugfix Story)

Status: Resolved Priority: Must have
Author: Markus Goldbeck Category: JavaScript
Created: 2012-10-26 Assigned To: Markus Goldbeck
Updated: 2012-11-07 Due date:
Subject: Page loading is broken 
Description

Clicking in the Backend or in the tree to visit a page leads to an exception

"You have marked a DOM element with the CSS class t3-reloadable-content; but this element has no ID."

This exception is thrown in TYPO3.TYPO3/Ressources/Public/JavaScript/phoenix/contentmodule.js -> loadPage line418

$('.t3-reloadable-content').each(function() {
    var id = $(this).attr('id');
    if (!id) {
             // TODO: we need cleaner developer error handling
        throw 'You have marked a DOM element with the CSS class t3-reloadable-content; but this element has no ID.';
    }
    selectorsToReplace.push('#' + id);
});

Associated revisions
Revision 5cdd176c - 2012-11-07 19:30 - Markus Goldbeck

[BUGFIX] Fix page reload after clicking on links

Caused by introducing section elements with inline reloadable
content (I48055d6bfba7cb83173ba336536ded6433965007)

Fixes: #42410
Change-Id: Ic899fb690d1942964b69b1e53e4f9dc58309a7eb

History
#1 - 2012-10-26 10:18 - Markus Goldbeck
- Category set to JavaScript

#2 - 2012-10-26 14:07 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15953

#3 - 2012-10-26 14:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15953
#4 - 2012-10-26 14:36 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15954

#5 - 2012-10-26 14:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15954

#6 - 2012-10-26 19:37 - Markus Goldbeck
- Assigned To set to Markus Goldbeck
- Parent task set to #41101

#7 - 2012-10-26 19:37 - Markus Goldbeck
- Status changed from New to Under Review

#8 - 2012-11-01 19:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15954

#9 - 2012-11-04 16:03 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15954

#10 - 2012-11-06 22:58 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15954

#11 - 2012-11-07 19:30 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15954

#12 - 2012-11-07 20:36 - Markus Goldbeck
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5cdd176c7e6318e2b67f83e195cb5382fdea6d64.
